<?php
/**
 * 2007-2018 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author PrestaShop SA <contact@prestashop.com>
 * @copyright  2007-2018 PrestaShop SA
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

class FileData extends ObjectModel
{
    /**
     * @see ObjectModel::$definition
     */
    public static $definition = array(
        'table' => 'kiwiz_file_data',
        'primary' => 'id',
        'multilang' => false,
        'fields' => array(
            'id_order_file' => array('type' => self::TYPE_NOTHING, 'validate' => 'isUnsignedId'),
            'file_hash' => array('type' => self::TYPE_STRING),
            'block_hash' => array('type' => self::TYPE_STRING),
            'file_type' => array('type' => self::TYPE_STRING),
            'status' => array('type' => self::TYPE_FLOAT)
        )
    );

    public $id;
    public $id_order_file;
    public $file_hash = null;
    public $block_hash = null;
    public $file_type;
    public $status;

    /**
     * FileData constructor.
     * @param integer $id
     * @param integer $id_lang
     */

    public function __construct($id = null, $id_lang = null)
    {
        parent::__construct($id, $id_lang);
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getIdOrderFile()
    {
        return $this->id_order_file;
    }

    /**
     * @param mixed $id_order_file
     */
    public function setIdOrderFile($id_order_file)
    {
        $this->id_order_file = $id_order_file;
    }

    /**
     * @return mixed
     */
    public function getFileType()
    {
        return $this->file_type;
    }

    /**
     * @param mixed $file_type
     */
    public function setFileType($file_type)
    {
        $this->file_type = $file_type;
    }

    /**
     * @return mixed
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param mixed $status
     */
    public function setStatus($status)
    {
        $this->status = $status;
    }

    /**
     * @return mixed
     */
    public function getFileHash()
    {
        return $this->file_hash;
    }

    /**
     * @param mixed $file_hash
     */
    public function setFileHash($file_hash)
    {
        $this->file_hash = $file_hash;
    }

    /**
     * @return mixed
     */
    public function getBlockHash()
    {
        return $this->block_hash;
    }

    /**
     * @param mixed $block_hash
     */
    public function setBlockHash($block_hash)
    {
        $this->block_hash = $block_hash;
    }
}
